'use strict';

exports.rawMockStreams = {"warnings":{"main":{"warnings":"Subscribe to the mediawiki-api-announce mailing list at <https://lists.wikimedia.org/postorius/lists/mediawiki-api-announce.lists.wikimedia.org/> for notice of API deprecations and breaking changes. Use [[Special:ApiFeatureUsage]] to see usage of deprecated features by your application."},"streamconfigs":{"warnings":"The parameter \"all_settings\" has been deprecated."}},"streams":{"inuka.wiki_highlights_experiment":{"topic_prefixes":["eqiad.","codfw."],"canary_events_enabled":true,"consumers":{"analytics_hadoop_ingestion":{"job_name":"event_default","enabled":true},"analytics_hive_ingestion":{"enabled":false}},"schema_title":"analytics/external/wiki_highlights_experiment","destination_event_service":"eventgate-analytics-external","stream":"inuka.wiki_highlights_experiment","topics":["eqiad.inuka.wiki_highlights_experiment","codfw.inuka.wiki_highlights_experiment"]},"mediawiki.product_metrics.wikifunctions_ui":{"topic_prefixes":["eqiad.","codfw."],"canary_events_enabled":true,"consumers":{"analytics_hadoop_ingestion":{"job_name":"event_default","enabled":true},"analytics_hive_ingestion":{"enabled":false}},"schema_title":"analytics/mediawiki/product_metrics/wikilambda/ui_actions","destination_event_service":"eventgate-analytics-external","producers":{"metrics_platform_client":{"provide_values":["agent_client_platform_family","page_id","page_title","page_revision_id","performer_is_logged_in","performer_id","performer_name","performer_session_id","performer_active_browsing_session_token","performer_pageview_id","performer_language","performer_language_variant","performer_edit_count","performer_edit_count_bucket","performer_groups","performer_is_bot"]}},"sample":{"unit":"pageview","rate":1},"stream":"mediawiki.product_metrics.wikifunctions_ui","topics":["eqiad.mediawiki.product_metrics.wikifunctions_ui","codfw.mediawiki.product_metrics.wikifunctions_ui"]},"mediawiki.product_metrics.wikilambda_api":{"topic_prefixes":["eqiad.","codfw."],"canary_events_enabled":true,"consumers":{"analytics_hadoop_ingestion":{"job_name":"event_default","enabled":true},"analytics_hive_ingestion":{"enabled":false}},"schema_title":"analytics/mediawiki/product_metrics/wikilambda/api","destination_event_service":"eventgate-analytics-external","producers":{"metrics_platform_client":{"provide_values":["agent_client_platform_family","page_id","page_revision_id","page_title","performer_active_browsing_session_token","performer_edit_count","performer_edit_count_bucket","performer_groups","performer_id","performer_is_bot","performer_is_logged_in","performer_language","performer_language_variant","performer_name","performer_pageview_id","performer_session_id"]}},"sample":{"unit":"pageview","rate":1},"stream":"mediawiki.product_metrics.wikilambda_api","topics":["eqiad.mediawiki.product_metrics.wikilambda_api","codfw.mediawiki.product_metrics.wikilambda_api"]}, "product_metrics.app_base":{"topic_prefixes":["eqiad.","codfw."],"canary_events_enabled":true,"consumers":{"analytics_hadoop_ingestion":{"job_name":"event_default","enabled":true},"analytics_hive_ingestion":{"enabled":false}},"schema_title":"analytics/product_metrics/app/base","destination_event_service":"eventgate-analytics-external","producers":{"metrics_platform_client":{"provide_values":[]}},"stream":"product_metrics.app_base","topics":["eqiad.product_metrics.app_base","codfw.product_metrics.app_base"]},"product_metrics.web_base":{"topic_prefixes":["eqiad.","codfw."],"canary_events_enabled":true,"consumers":{"analytics_hadoop_ingestion":{"job_name":"event_default","enabled":true},"analytics_hive_ingestion":{"enabled":false}},"schema_title":"analytics/product_metrics/web/base","destination_event_service":"eventgate-analytics-external","producers":{"metrics_platform_client":{"provide_values":["agent_client_platform_family"]}},"stream":"product_metrics.web_base","topics":["eqiad.product_metrics.web_base","codfw.product_metrics.web_base"]}}};

exports.parsedMockStreams = [
    {
        name: 'inuka.wiki_highlights_experiment',
        schema_title: 'analytics/external/wiki_highlights_experiment'
    },
    {
        name: 'mediawiki.product_metrics.wikifunctions_ui',
        schema_title: 'analytics/mediawiki/product_metrics/wikilambda/ui_actions'
    },
    {
        name: 'mediawiki.product_metrics.wikilambda_api',
        schema_title: 'analytics/mediawiki/product_metrics/wikilambda/api'
    },
    {
        name: 'product_metrics.app_base',
        schema_title: 'analytics/product_metrics/app/base'
    },
    {
        name: 'product_metrics.web_base',
        schema_title: 'analytics/product_metrics/web/base'
    },
];

exports.rawMockLocations = {"sitematrix":{"count":1031,"0":{"site":[{"dbname":"aawiki","closed":""},{"dbname":"aawiktionary","closed":""},{"dbname":"aawikibooks","closed":""}]},"1":{"site":[{"dbname":"abwiki"},{"dbname":"abwiktionary","closed":""}]},"2":{"site":[{"dbname":"acewiki"}]},"3":{"site":[{"dbname":"adywiki"}]},"4":{"site":[{"dbname":"afwiki"},{"dbname":"afwiktionary"},{"dbname":"afwikibooks"},{"dbname":"afwikiquote"}]},"5":{"site":[{"dbname":"akwiki","closed":""},{"dbname":"akwiktionary","closed":""},{"dbname":"akwikibooks","closed":""}]},"6":{"site":[]},"specials":[{"url":"https://advisors.wikimedia.org","dbname":"advisorswiki","code":"advisors","lang":"advisors","sitename":"Advisors","private":""},{"url":"https://advisory.wikimedia.org","dbname":"advisorywiki","code":"advisory","lang":"en","sitename":"Advisory Board","closed":""},{"url":"https://ae.wikimedia.org","dbname":"aewikimedia","code":"aewikimedia","lang":"en","sitename":"Wikimedia United Arab Emirates","fishbowl":""},{"url":"https://am.wikimedia.org","dbname":"amwikimedia","code":"amwikimedia","lang":"hy","sitename":"Վիքիմեդիա Հայաստան","fishbowl":""},{"url":"https://api.wikimedia.org","dbname":"apiportalwiki","code":"apiportal","lang":"en","sitename":"API Portal"}]}}

exports.parsedMockLocations = ['aawiki', 'aawiktionary', 'aawikibooks', 'abwiki', 'abwiktionary', 'acewiki', 'adywiki', 'afwiki', 'afwiktionary', 'afwikibooks', 'afwikiquote', 'akwiki', 'akwiktionary', 'akwikibooks', 'advisorswiki', 'advisorywiki', 'aewikimedia', 'amwikimedia', 'apiportalwiki'];
